org.apache.storm.trident.operation.impl

## Class ChainedAggregatorImpl

- java.lang.Object
- - org.apache.storm.trident.operation.impl.ChainedAggregatorImpl

- All Implemented Interfaces:
    Serializable, Aggregator<ChainedResult>, Operation

      public class ChainedAggregatorImpl
      extends Object
      implements Aggregator<ChainedResult>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainedAggregatorImpl(Aggregator[] aggs, Fields[] inputFields, ComboList.Factory fact)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(ChainedResult val, TridentTuple tuple, TridentCollector collector)`
    `void` | `cleanup()` When running in local mode, called when the local cluster is being shut down.
    `void` | `complete(ChainedResult val, TridentCollector collector)`
    `ChainedResult` | `init(Object batchId, TridentCollector collector)`
    `void` | `prepare(Map<String,Object> conf, TridentOperationContext context)` Called when the `Operation` is first initialized.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainedAggregatorImpl

          public ChainedAggregatorImpl(Aggregator[] aggs,
                                       Fields[] inputFields,
                                       ComboList.Factory fact)

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TridentOperationContext context)

      Description copied from interface: `Operation`

      Called when the `Operation` is first initialized.

      Specified by:
        `prepare` in interface `Operation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### init

          public ChainedResult init(Object batchId,
                                    TridentCollector collector)

      Specified by:
        `init` in interface `Aggregator<ChainedResult>`

    - #### aggregate

          public void aggregate(ChainedResult val,
                                TridentTuple tuple,
                                TridentCollector collector)

      Specified by:
        `aggregate` in interface `Aggregator<ChainedResult>`

    - #### complete

          public void complete(ChainedResult val,
                               TridentCollector collector)

      Specified by:
        `complete` in interface `Aggregator<ChainedResult>`

    - #### cleanup

          public void cleanup()

      Description copied from interface: `Operation`

      When running in local mode, called when the local cluster is being shut down.

      Specified by:
        `cleanup` in interface `Operation`

Copyright © 2021 The Apache Software Foundation. All rights reserved.